Contract resources

Get Contract Information

get

Retrieves the properties of the user's contract. This operation allows you to obtain the resource limits and the general contract information.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
200

Successful operation

application/json
get
/contracts

Last updated

Was this helpful?